Subject: [mobile-ip] Question of FA sending ARP Reply

From: Hiroyuki OHNISHI <[email-masked]>
Date: Mon, 26 Nov 2001 10:46:16 +0900

I have a question regarding ARP Reply from FA.
In Section 4.6 of rfc2002 bis, it says,

   "While the mobile node is away from home, it MUST NOT transmit any
    broadcast ARP Request or ARP Reply messages. ....
    Note also that, when transmitting a Registration Request on
    a foreign network, a mobile node may discover the link-layer address
    of a foreign agent by storing the address as it is received from the
    Agent Advertisement from that foreign agent, but not by transmitting
    a broadcast ARP Request message."

My question is, is it prohibited that FA reply ARP Request from MN?
Does FA have any mechanism to recognize ARP Request from
MN which does not follow the RFC2002 bis and not to send ARP reply to MN?

Thanks,
Hiroyuki